Buildings v1 · Attributes
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
Presence of solar panel
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Note this is not captured for all areas
Flagged this data as 90% accurate.
Intended use
Returns the answer to the question, does this building have solar panels? For energy providers or energy-based service providers, this information will inform you of solar panel presence without the need for a physical inspection. For insurance, you can reduce the number of questions asked on home insurance policies, and for government, you can see measure the adoption of solar across the county.
Links to further reading
path Parameters
buildingIdPresence of solar panel › Responses
Successful response
buildingIdsolarPanelArea
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Returns the area of the building footprint in meters.
Use the area of the building to understand how much land area the building takes up. Often used in applications where you need to know how much floor space is available in a home or how much roof space is available for solar panel installation.
Links to further reading
path Parameters
buildingIdArea › Responses
Successful response
areabuildingIdAverage eave height
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the average eave height of the specified building in meters.
This data is valuable for tradespeople who need to know how big of a ladder to bring to a job before they arrive or for emergency services who need to know which truck to deploy.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdAverage eave height › Responses
Successful
averageEaveHeightbuildingIdCentroid
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the centroid (the spatial point at the average of all points of an object) of a building.
It's the most straightforward geometry to describe where a building is, which is helpful in centring maps, plotting multiple buildings on a map or storing the known location of a building.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdCentroid › Responses
Successful
buildingIdElevation
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the elevation (or geometric height above or below a fixed reference point; in this case, it's the AHD, which was a mean of the sea level from 1966-1968) of a building.
This data is helpful for those applications where you want to be able to measure the difference in vertical position between multiple people or get more detailed information about the location of a building.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdElevation › Responses
Successful
buildingIdelevation2D footprint
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
return a GeoJSON Polygon, describing the 2D outline of the building.
You can use this information to draw the building for visual inspection and give context to other data. Without this, your users will need to make the logical jumps required to visualise the structure. Using this, you've made it much easier for users to relate to the building. It's also highly used in modelling applications for analytics.
Links to further reading
path Parameters
buildingId2D footprint › Responses
Successful
buildingId3D footprint
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return a GeoJSON Polygon, describing the 2D outline of the building with an additional element of elevation.
You can use this information to draw the building for visual inspection and give context to other data. Without this, your users will need to make the logical jumps necessary to visualise the structure. Using this, you've made it much easier for users to relate to the building. It's also highly used in modelling applications for analytics.
Links to further reading
path Parameters
buildingId3D footprint › Responses
Success
buildingIdMaximum roof height
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the maximum height of the building’s roof.
They are used in solar potential calculation, line of sight modelling or visualization.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdMaximum roof height › Responses
Success
buildingIdmaximumRoofHeightRoof complexity
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the pitch/complexity of the building’s roof.
Use it to inform quotations of services or risk and equipment needed before attending the site.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdRoof complexity › Responses
Successful
roofComplexityRoof material
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the material of the building’s roof.
Often necessary for quotations of services or risk and equipment needed before attending the site.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdquery Parameters
includeDefines a list of building attributes entered as a comma-seperated list. Defined attributues will be returned in the response if possible. New all parameter can be used to return all possible attributes more easily.
Roof material › Responses
Success
buildingIdroofMaterialThe roofMaterial attribute is the name of the primary roof material found across the building surface.
Roof material is classified from image pixels that intersect the building. The image signature of the intersecting pixels is matched to a spectral library of known material compositions to determine the best matching material for each pixel.
- Flat Concrete
- Fiberglass/Plastic
- Metal
- Tile
This object will not be returned if we cannot decide on the roof material.
Presence of swimming pool
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the answer to the question does this building sit next to a swimming pool.
Applications built around the pool service industry can reduce the amount of time it takes to find customers or manage marketing campaigns. For local and state government, it helps detect homes that have pools for water sources in the event of fires.
Note this is not captured for all areas
Links to further reading
path Parameters
buildingIdPresence of swimming pool › Responses
Success
buildingIdswimmingPoolZoning simplified
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return the simplified zonings relevant to the building based on state, territory or local government planning schemes.
The planning zone of a building is helpful for property developers, government planning services and insurance companies. It can flag opportunities or risks in those applications.
Links to further reading
path Parameters
buildingIdZoning simplified › Responses
Success
buildingIdzoningsOverhanging Tree
Authentication: Use your Consumer Key in the
Authorizationheader.
Deprecated
The prefered method is to use the include parameter. Find out how here
Intended use
Return an object with a boolean and the height of the overhanging tree in meters.
"Overhanging tree" helps identify risk to property or complexities with solar activity.
Links to further reading
path Parameters
buildingIdOverhanging Tree › Responses
Success
buildingIdProvides an attribute that describes whether an identified tree overhangs the building geometry.
- The value
truemeans a tree overhangs the building. - The value
falsemeans no tree overhanging the building. - An absent response means we have not determined if a tree overhangs the building.
overhangingTreeMaxHeight has been deprecated